corda / net.corda.core.contracts / NetCommand

# NetCommand

`interface NetCommand : CommandData`

A common netting command for contracts whose states can be netted.

### Properties

type | `abstract val type: NetType` The type of netting to apply, see NetType for options.

### Inheritors

Net | `data class Net : NetCommand, Commands` Net two or more obligation states together in a close-out netting style. Limited to bilateral netting as only the beneficiary (not the obligor) needs to sign.